local uci = require "luci.model.uci".cursor()
local ds = require "luci.dispatcher"
local sys = require "luci.sys"

m = Map("sms", "SMS Servies", "")

s1 = m:section(TypedSection, "sms-reboot", "SMS Reboot")
s1.addremove = false
s1.anonymous = true

keyword = s1:option(Value, "keyword", translate("Keyword"), translate("SMS Keyword to reboot the device"))
keyword.datatype = "string"

authorization = s1:option(Flag, "authorization", translate("Authorization"), translate("Allow only authorized numbers to reboot the device"))
authorization.datatype = "bool"

authorized_numbers = s1:option(DynamicList, "authorized_numbers", translate("Authorized Numbers"), translate("Enter numbers authorized to reboot the device"))
authorized_numbers.datatype = "string"

return m
